Loading...
Searching...
No Matches
EclThermalConductionLawMultiplexer.hpp File Reference

Implements the total thermal conductivity and rock enthalpy relations used by ECL. More...

`#include "EclThermalConductionLawMultiplexerParams.hpp"`
`#include "EclThconrLaw.hpp"`
`#include "EclThcLaw.hpp"`
`#include "NullThermalConductionLaw.hpp"`
`#include <stdexcept>`
`#include <string>`

Go to the source code of this file.

## Classes

class | Opm::EclThermalConductionLawMultiplexer< ScalarT, FluidSystem, ParamsT >
| Implements the total thermal conductivity and rock enthalpy relations used by ECL. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

Implements the total thermal conductivity and rock enthalpy relations used by ECL.